Enumerations

# goal_widget.h File Reference

Types related to the goal widgets. More...

Go to the source code of this file.

## Enumerations
enum | GoalListWidgets { WID_GL_PANEL, WID_GL_SCROLLBAR }
| Widgets of the GoalListWindow class. More...
enum | GoalQuestionWidgets { WID_GQ_CAPTION, WID_GQ_QUESTION, WID_GQ_BUTTONS, WID_GQ_BUTTON_1, WID_GQ_BUTTON_2, WID_GQ_BUTTON_3 }
| Widgets of the GoalQuestionWindow class. More...

## Detailed Description

Types related to the goal widgets.

Definition in file goal_widget.h.

## Enumeration Type Documentation

enum GoalListWidgets

Widgets of the GoalListWindow class.

Enumerator:

  WID_GL_PANEL | Panel of the window.
  WID_GL_SCROLLBAR | Scrollbar of the panel.

Definition at line 17 of file goal_widget.h.

enum GoalQuestionWidgets

Widgets of the GoalQuestionWindow class.

Enumerator:

  WID_GQ_CAPTION | Caption of the window.
  WID_GQ_QUESTION | Question text.
  WID_GQ_BUTTONS | Buttons selection (between 1, 2 or 3).
  WID_GQ_BUTTON_1 | First button.
  WID_GQ_BUTTON_2 | Second button.
  WID_GQ_BUTTON_3 | Third button.

Definition at line 23 of file goal_widget.h.